# $Revision: 1.34 $, $Date: 2010/04/28 21:28:11 $ 
#
# Conditional build:
%bcond_without	epiphany	# don't build epiphany extension
#
%define	epiphany_version	2.29
#
Summary:	A download manager for GNOME
Summary(pl.UTF-8):	Zarządca pobierania plików dla GNOME
Name:		gwget
Version:	1.0.4
Release:	3
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gwget/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	b65ebc752cad068e747ae6ef45fafdcc
Patch0:		epiphany-230.patch
URL:		http://www.gnome.org/projects/gwget/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.73
%{?with_epiphany:BuildRequires:	epiphany-devel >= 2.30.0}
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.10.10
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libgnomeui-devel >= 2.18.1
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	libgnomeui >= 2.18.1
Requires:	wget >= 1.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gwget is a download manager for GNOME.

%description -l pl.UTF-8
Gwget to zarządca pobierania plików dla GNOME.

%package -n epiphany-extension-gwget
Summary:	Epiphany extension - gwget
Summary(pl.UTF-8):	Rozszerzenie dla Epiphany - gwget
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	epiphany >= 2.24.0

%description -n epiphany-extension-gwget
Epiphany extension that uses gwget to download files.

%description -n epiphany-extension-gwget -l pl.UTF-8
Rozszerzenie dla Epiphany wykorzystujące gwget do pobierania plików.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize} --install
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	%{?with_epiphany: --with-epiphany-version=%{epiphany_version}} \
	%{!?with_epiphany: --disable-epiphany-extension}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -rf $RPM_BUILD_ROOT%{_includedir}/gwget

%if %{with epiphany}
rm -f $RPM_BUILD_ROOT%{_libdir}/epiphany/%{epiphany_version}/extensions/*.{a,la}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gwget.schemas

%preun
%gconf_schema_uninstall gwget.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.gwget.service
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_sysconfdir}/gconf/schemas/gwget.schemas

%if %{with epiphany}
%files -n epiphany-extension-gwget
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/epiphany/%{epiphany_version}/extensions/libgwgetextension.so*
%{_libdir}/epiphany/%{epiphany_version}/extensions/gwget.xml
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gwget.spec,v $
Revision 1.34  2010/04/28 21:28:11  megabajt
- changed epiphany_version to 2.29
- release 3

Revision 1.33  2010/04/21 17:17:05  sls
- added epiphany-230.patch
- rel. 2
- bump BR: epiphany-devel

Revision 1.32  2009/11/23 22:49:00  sparky
- BR: gettext-devel, libtool

Revision 1.31  2009/10/26 13:04:40  lisu
- up to 1.0.4
- epiphany version up to 2.28

Revision 1.30  2009/09/23 07:56:55  lisu
- up to 1.0.2
- -epiphany.patch and -desktop.patch are obsoletes

Revision 1.29  2009/03/20 14:50:25  megabajt
- updated -desktop.patch
- added -epiphany.patch to fix build with epiphany 2.26
- release 2

Revision 1.28  2009/02/21 17:03:01  qwiat
- update to 1.0.1
- removed obsolete patches

Revision 1.27  2008/10/18 20:58:59  megabajt
- bump epiphany_version to 2.24
- release 5

Revision 1.26  2008/08/07 07:24:24  hawk
- %{__libtoolize} to fix building with libtool 2.2

Revision 1.25  2008-03-18 16:01:05  megabajt
- added libgnomeui patch
- release 3

Revision 1.24  2008-03-18 09:46:42  arekm
- generic detection for epiphany; doesn't build

Revision 1.23  2007/10/27 15:58:35  megabajt
- release 2

Revision 1.22  2007/10/12 01:06:17  sls
- added epiphany-2.20 patch (fix detection of new epiphany)
- intltoolize

Revision 1.21  2007/05/29 19:45:48  megabajt
- updated to 0.99
- removed outdated epiphany-2.18 patch

Revision 1.20  2007/03/15 17:36:57  megabajt
- added epiphany-2.18 patch (fix detection of new epiphany)
- release 2

Revision 1.19  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.17  2006/11/30 11:44:37  megabajt
- updated to 0.98.2
- updated deps, removed libnotify, epiphany and buildfix patches (applied upstream)

Revision 1.16  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.15  2006/08/13 11:02:19  grzegol
- updated to 0.98.1
- added epiphany patch (fix build with epiphany-2.15)
- added buildfix patch
- regenerate al/ac/am

Revision 1.14  2006/05/24 08:20:29  qboosh
- merged update to 0.98, desktop patch update, libnotify patch from AC-branch

Revision 1.13  2006/05/18 10:03:36  qboosh
- build with epiphany 2.14 (merged from AC-branch)

Revision 1.12.2.6  2006/05/18 20:20:06  baggins
- release 3
- strict reqs

Revision 1.12.2.5  2006/05/18 10:13:19  baggins
- rel 2
- fix libnotify build

Revision 1.12.2.4  2006/05/18 10:08:37  baggins
- up to 0.98

Revision 1.12.2.3  2006/05/18 08:39:12  baggins
- fixed dirs

Revision 1.12.2.2  2006/05/18 08:37:23  baggins
- build with new epiphany

Revision 1.12.2.1  2006/05/17 17:08:30  baggins
- release 2

Revision 1.12  2005/09/07 08:25:38  paladine
- updated to 0.96
- remove useless header files
- require epiphany >= 1.8.0

Revision 1.11  2005/05/17 10:45:39  paladine
- updated to 0.95
- removed outdated stuff

Revision 1.10  2005/04/08 11:35:15  paladine
- new style macros
- rel. 2, STBR

Revision 1.9  2005/03/15 08:39:55  paladine
- updated to 0.94
- project moved to gnome.org (URL and Source0 changed)
- require some new stuff

Revision 1.8  2005/01/25 11:54:51  paladine
- updated to 0.93
- proper license
- STBR

Revision 1.7  2004/12/09 11:01:48  paladine
- updated to 0.92
- could someone look at the epipihany extension stuff
- if everything is ok then STBR

Revision 1.6  2004/11/30 08:03:39  paladine
- updated to 0.91

Revision 1.5  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.4  2004/10/15 23:06:00  paladine
- added more files
- added epiphany extension subpackage with condicional build
- rel 1 (builds and works)

Revision 1.3  2004/10/15 21:10:50  paszczus
- updated to 0.90
- added Source0-size
- added BR: perl-XML-Parser, gtk+-2
- rel 0.1 ; test build please

Revision 1.2  2004/10/06 10:38:22  qboosh
- typo, unifications, missing dir, release 2

Revision 1.1  2004/09/18 01:48:54  undefine
- initital version by Kamil 'paladine' Kosiński
